<?php
/*
 *  $Id: Array.php 291 2011-06-04 22:41:36Z k42b3.x@googlemail.com $
 *
 * psx
 * A object oriented and modular based PHP framework for developing
 * dynamic web applications. For the current version and informations
 * visit <http://phpsx.org>
 *
 * Copyright (c) 2011 Christoph Kappestein <k42b3.x@gmail.com>
 *
 * This file is part of psx. psx is free software: you can
 * redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or any later version.
 *
 * psx is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with psx. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * PSX_Data_Array
 *
 * @author     Christoph Kappestein <k42b3.x@gmail.com>
 * @license    http://www.gnu.org/licenses/gpl.html GPLv3
 * @link       http://phpsx.org
 * @category   PSX
 * @package    PSX_Data
 * @version    $Revision: 291 $
 */
class PSX_Data_Array extends PSX_Data_RecordAbstract
{
	public $item;

	public function __construct(array $item = array())
	{
		$this->item = $item;
	}

	public function getName()
	{
		return 'array';
	}

	public function getCols()
	{
		return array('item');
	}

	public function import(PSX_Data_ReaderResult $result)
	{
		$data = explode(',', $result->getData());

		foreach($data as $v)
		{
			$v = trim($v);

			if(!empty($v))
			{
				$this->item[] = $v;
			}
		}
	}

	public function export(PSX_Data_WriterResult $result)
	{
		switch($result->getType())
		{
			case PSX_Data_WriterInterface::JSON:
			case PSX_Data_WriterInterface::XML:

				return $this->getFields();

				break;
		}
	}
}
